Installing ROS Electric On MacOS: roslib version problem? [closed]

asked 2012-11-26 02:28:07 -0600

this post is marked as community wiki

This post is a wiki. Anyone with karma >75 is welcome to improve it.

I'm attempting to install ROS Electric on MacOS Lion because I want to use ROSjava.

About a month ago I successfully managed this on an iMAC (give or take some hacking of CMakeLists). However I'm running into problems installing it on a MacBook pro. There was a previous attempt to install fuerte on this laptop, though I did try to clean that up before starting on an Electric install.

When I start the build all goes fine until

Bootstrapping ROS build  
Detected ros_comm bootstrapping it too.

At which point I start running into what look to me suspiciously like version inconsistency problems between roslib, rospkg and the Electric python files.

e.g.

/Users/louiseadennis/Systems/ros/ros/tools/rosmake/src/rosmake/engine.py:40: UserWarning: roslib.rospack is deprecated

And then

  File "/Users/louiseadennis/Systems/ros/ros/tools/rosdep/src/rosdep/core.py", line 40, in <module>
    import roslib.os_detect
ImportError: No module named os_detect

I've tried working through these (i.e., updating package names, locating new method names etc., etc.) and finally became stuck when I couldn't find a replacement for roslib.packages.ROSPackages(). However I'm wondering if there is an obvious fix here - e.g. some files from the attempt at installing fuerte that I may have failed to remove, or a way to make sure I've installed versions of rosinstall etc., that are compatible with electric.

edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by tfoote
close date 2015-08-31 20:14:23.961288

Comments

You should definitely roll with Fuerte for Mac (in my opinion). I successfully set up Fuerte on Mac Lion using the tutorial here: http://ros.org/wiki/fuerte/Installation/OSX/Homebrew/Source . This page has "known issues", but you are going to have problems installing either version on Mac.

amittleider gravatar imageamittleider ( 2012-12-11 00:40:48 -0600 )edit

Sadly rosjava appears to require electric. I did attempt to install it with fuerte but without success. I do wonder if that is part of the problem since I've got both electric and rosjava successfully installed on another MAC which has never seen fuerte at all.

Louise gravatar imageLouise ( 2012-12-11 01:53:35 -0600 )edit

FYI, rosjava works fine with Fuerte.

damonkohler gravatar imagedamonkohler ( 2013-01-01 09:16:45 -0600 )edit